Create a new project via API key
curl --request POST \
--url https://api.leanmcp.com/api/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Project",
"description": "A sample project",
"repositoryUrl": "https://github.com/username/repo",
"framework": "react",
"s3Location": "<string>",
"templateId": "03b3640c-9e47-4750-be37-2988b742b687"
}
'import requests
url = "https://api.leanmcp.com/api/projects"
payload = {
"name": "My Project",
"description": "A sample project",
"repositoryUrl": "https://github.com/username/repo",
"framework": "react",
"s3Location": "<string>",
"templateId": "03b3640c-9e47-4750-be37-2988b742b687"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Project',
description: 'A sample project',
repositoryUrl: 'https://github.com/username/repo',
framework: 'react',
s3Location: '<string>',
templateId: '03b3640c-9e47-4750-be37-2988b742b687'
})
};
fetch('https://api.leanmcp.com/api/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Projects
Create a new project via API key
Create a new project using API key authentication. Requires BUILD_AND_DEPLOY scope.
POST
/
api
/
projects
Create a new project via API key
Authorizations
Enter your LeanMCP API key
Body
application/json
Project name
Example:
"My Project"
Project description
Example:
"A sample project"
Repository URL
Example:
"https://github.com/username/repo"
Framework
Example:
"react"
S3 location for uploaded file
Template ID used to create this project
Example:
"03b3640c-9e47-4750-be37-2988b742b687"
Response
Project created successfully
The response is of type object.
⌘I

